+++ /dev/null
-#!/bin/bash
-set -ex
-
-# set up variables needed for
-# githubstatus to report back to the github PR
-# if this project was started manually
-github_status_setup
-
-# the following two methods exist in scripts/build_utils.sh
-pkgs=( "tox" "github-status>0.0.3")
-TEMPVENV=$(create_venv_dir)
-VENV=${TEMPVENV}/bin
-install_python_packages $TEMPVENV "pkgs[@]"
-
-cd src/ceph-volume
-
-GITHUB_STATUS_STATE="pending" $VENV/github-status create
-
-$VENV/tox -vr
-
-GITHUB_STATUS_STATE="success" $VENV/github-status create
+++ /dev/null
-#!/bin/bash
-# There has to be a better way to do this than this script which just looks
-# for every Vagrantfile in scenarios and then just destroys whatever is left.
-
-# the following two methods exist in scripts/build_utils.sh
-pkgs=( "github-status>0.0.3" )
-TEMPVENV=$(create_venv_dir)
-VENV=${TEMPVENV}/bin
-install_python_packages $TEMPVENV "pkgs[@]"
-
-GITHUB_STATUS_STATE="failure" $VENV/github-status create
+++ /dev/null
-- job:
- name: ceph-volume-linter
- display-name: 'ceph-volume: Pull Request linter tests'
- node: small && centos9
- project-type: freestyle
- defaults: global
- quiet-period: 5
- block-downstream: false
- block-upstream: false
- properties:
- - github:
- url: https://github.com/ceph/ceph
- - build-discarder:
- days-to-keep: 14
- discard-old-builds: true
-
- parameters:
- - string:
- name: sha1
- description: "A pull request ID, like 'origin/pr/72/head'"
-
- # this is injected by the ghprb plugin, and is fully optional but may help in manually triggering
- # a job that can end up updating a PR
- - string:
- name: ghprbSourceBranch
- description: "When manually triggered, and the remote PR isn't a branch in the ceph.git repo This can be specified to determine the actual branch."
- - string:
- name: ghprbTargetBranch
- description: 'Required when manually triggered, the targeted branch needs to be set (e.g. "luminous" or "main")'
- - string:
- name: GITHUB_SHA
- description: "The tip (last commit) in the PR, a sha1 like 7d787849556788961155534039886aedfcdb2a88 (if set, will report status to Github)"
- - password:
- name: GITHUB_OAUTH_TOKEN
- description: "Secret API Token to set status. Only needed when manually triggering a PR test"
-
- triggers:
- - github-pull-request:
- cancel-builds-on-update: true
- only-trigger-phrase: true
- trigger-phrase: 'jenkins test ceph-volume linter'
- github-hooks: true
- permit-all: true
- auto-close-on-fail: false
- status-context: "ceph-volume tox testing"
- started-status: "ceph-volume tox running"
- success-status: "ceph-volume tox OK"
- failure-status: "ceph-volume tox failed"
-
- scm:
- - git:
- url: https://github.com/ceph/ceph
- browser: auto
- branches:
- - ${sha1}
- refspec: +refs/pull/*:refs/remotes/origin/pr/*
- skip-tag: true
- timeout: 20
- wipe-workspace: true
-
- builders:
- - inject:
- properties-content: |
- GITHUB_REPOSITORY="ceph/ceph"
- GITHUB_STATUS_CONTEXT="ceph-volume linter tests"
- GITHUB_STATUS_STARTED="running"
- GITHUB_STATUS_SUCCESS="OK"
- GITHUB_STATUS_FAILURE="failed"
- GITHUB_STATUS_ERROR="completed with errors"
- - shell:
- !include-raw:
- - ../../../scripts/build_utils.sh
- - ../../build/build
-
- wrappers:
- - inject-passwords:
- global: true
- mask-password-params: true
-
- publishers:
- - postbuildscript:
- builders:
- - role: SLAVE
- build-on:
- - FAILURE
- - ABORTED
- build-steps:
- - shell:
- !include-raw:
- - ../../../scripts/build_utils.sh
- - ../../build/teardown
--- /dev/null
+#!/bin/bash
+set -ex
+
+# set up variables needed for
+# githubstatus to report back to the github PR
+# if this project was started manually
+github_status_setup
+
+# the following two methods exist in scripts/build_utils.sh
+pkgs=( "tox" "github-status>0.0.3")
+TEMPVENV=$(create_venv_dir)
+VENV=${TEMPVENV}/bin
+install_python_packages $TEMPVENV "pkgs[@]"
+
+cd src/ceph-volume
+
+GITHUB_STATUS_STATE="pending" $VENV/github-status create
+
+$VENV/tox -vr
+
+GITHUB_STATUS_STATE="success" $VENV/github-status create
--- /dev/null
+#!/bin/bash
+# There has to be a better way to do this than this script which just looks
+# for every Vagrantfile in scenarios and then just destroys whatever is left.
+
+# the following two methods exist in scripts/build_utils.sh
+pkgs=( "github-status>0.0.3" )
+TEMPVENV=$(create_venv_dir)
+VENV=${TEMPVENV}/bin
+install_python_packages $TEMPVENV "pkgs[@]"
+
+GITHUB_STATUS_STATE="failure" $VENV/github-status create
--- /dev/null
+- job:
+ name: ceph-volume-unit-tests
+ display-name: 'ceph-volume: Pull Request unit tests'
+ node: small && centos9
+ project-type: freestyle
+ defaults: global
+ quiet-period: 5
+ block-downstream: false
+ block-upstream: false
+ properties:
+ - github:
+ url: https://github.com/ceph/ceph
+ - build-discarder:
+ days-to-keep: 14
+ discard-old-builds: true
+
+ parameters:
+ - string:
+ name: sha1
+ description: "A pull request ID, like 'origin/pr/72/head'"
+
+ # this is injected by the ghprb plugin, and is fully optional but may help in manually triggering
+ # a job that can end up updating a PR
+ - string:
+ name: ghprbSourceBranch
+ description: "When manually triggered, and the remote PR isn't a branch in the ceph.git repo This can be specified to determine the actual branch."
+ - string:
+ name: ghprbTargetBranch
+ description: 'Required when manually triggered, the targeted branch needs to be set (e.g. "luminous" or "main")'
+ - string:
+ name: GITHUB_SHA
+ description: "The tip (last commit) in the PR, a sha1 like 7d787849556788961155534039886aedfcdb2a88 (if set, will report status to Github)"
+ - password:
+ name: GITHUB_OAUTH_TOKEN
+ description: "Secret API Token to set status. Only needed when manually triggering a PR test"
+
+ triggers:
+ - github-pull-request:
+ cancel-builds-on-update: true
+ only-trigger-phrase: true
+ trigger-phrase: 'jenkins ceph-volume unit tests'
+ github-hooks: true
+ permit-all: true
+ auto-close-on-fail: false
+ status-context: "ceph-volume tox testing"
+ started-status: "ceph-volume tox running"
+ success-status: "ceph-volume tox OK"
+ failure-status: "ceph-volume tox failed"
+
+ scm:
+ - git:
+ url: https://github.com/ceph/ceph
+ browser: auto
+ branches:
+ - ${sha1}
+ refspec: +refs/pull/*:refs/remotes/origin/pr/*
+ skip-tag: true
+ timeout: 20
+ wipe-workspace: true
+
+ builders:
+ - inject:
+ properties-content: |
+ GITHUB_REPOSITORY="ceph/ceph"
+ GITHUB_STATUS_CONTEXT="ceph-volume unit tests"
+ GITHUB_STATUS_STARTED="running"
+ GITHUB_STATUS_SUCCESS="OK"
+ GITHUB_STATUS_FAILURE="failed"
+ GITHUB_STATUS_ERROR="completed with errors"
+ - shell:
+ !include-raw:
+ - ../../../scripts/build_utils.sh
+ - ../../build/build
+
+ wrappers:
+ - inject-passwords:
+ global: true
+ mask-password-params: true
+
+ publishers:
+ - postbuildscript:
+ builders:
+ - role: SLAVE
+ build-on:
+ - FAILURE
+ - ABORTED
+ build-steps:
+ - shell:
+ !include-raw:
+ - ../../../scripts/build_utils.sh
+ - ../../build/teardown